Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.csv
Class CSVPack

    java.lang.Object
      com.mindprod.csv.CSVPack

    public final class CSVPack

extends java.lang.Object

pack a CSV File as densely as possible, removing excess space and commas.

Use: java.exe com.mindprod.CSVPack somefile.csv

Since:
  1998
Version:
  3.0 2009-06-15 - lookup table to speed CSVReader
Author:
  Roedy Green, Canadian Mind Products

Constructor Summary
`CSVPack(java.io.File file, char separatorChar, char quoteChar, char commentChar)` pack a CSV file, constructor.

Method Summary
`static void` | `main(java.lang.String[] args)` Simple command line interface to CSVPack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVPack

    public CSVPack(java.io.File file,
                   char separatorChar,
                   char quoteChar,
                   char commentChar)
            throws java.io.IOException

  pack a CSV file, constructor. Just create. There are no methods to call.

  Parameters:
    `file` - CSV file to be packed to remove excess space and quotes.
    `separatorChar` - field separator character, usually ',' in North America, ';' in Europe and sometimes '\t' for tab.
    `quoteChar` - char to use to enclose fields containing a separator, usually '\"'. Use (char)0 if you don't want a quote character.
    `commentChar` - char to use to introduce comments. Use (char) 0 if none. Only one character allowed.
  Throws:
    `java.io.IOException` - if problems reading/writing file

Method Detail

### main

    public static void main(java.lang.String[] args)

  Simple command line interface to CSVPack. Packs one csv file whose name is on the command line. Must have extension .csv
  Use java com.mindprod.CSVPack somefile.csv

  Parameters:
    `args` - name of csv file to remove excess quotes and space

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD